package utils

import (
	"fmt"
	"testing"
	"time"
)

func TestAssumedRoleUser(t *testing.T) {

	response, err := AssumedRoleUser("cn-beijing", "acs:ram::1730760139076263:role/otsadmin", "otsadmin")
	if err != nil {
		t.Log(err)
	}
	exp, _ := time.Parse(time.RFC3339, response.Credentials.Expiration)
	fmt.Println(response, exp, exp.Unix())
}
